Package org.eclipse.graphiti.util

## Class PredefinedColoredAreas

- java.lang.Object
- - org.eclipse.graphiti.util.PredefinedColoredAreas

All Implemented Interfaces:
  `IPredefinedRenderingStyle`

    public class PredefinedColoredAreas
    extends java.lang.Object
    implements IPredefinedRenderingStyle

Predefined gradient color-areas to be used in GFFigureUtil with method paintColorFlow(..). This class comprises the definitions for predefined gradients and their adaptations for one or more visual states: `IPredefinedRenderingStyle.STYLE_ADAPTATION_DEFAULT`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_PRIMARY_SELECTED` , `IPredefinedRenderingStyle.STYLE_ADAPTATION_SECONDARY_SELECTED`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_ACTION_ALLOWED`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_ACTION_FORBIDDEN`. Gradient definitions have corresponding ID's: `IPredefinedRenderingStyle.BLUE_WHITE_GLOSS_ID`, `IPredefinedRenderingStyle.BLUE_WHITE_GLOSS_ID`, `IPredefinedRenderingStyle.BLUE_WHITE_ID`, `IPredefinedRenderingStyle.LIGHT_YELLOW_ID`, `IPredefinedRenderingStyle.LIGHT_GRAY_ID`, `IPredefinedRenderingStyle.COPPER_WHITE_GLOSS_ID`, `IPredefinedRenderingStyle.SILVER_WHITE_GLOSS_ID`. A Gradient definition for a shape can be set as a rendering style with `IGaService.setRenderingStyle(AbstractStyle, AdaptedGradientColoredAreas)` . The `AdaptedGradientColoredAreas` gradient definitions are retrieved by getter methods defined here, like `getBlueWhiteGlossAdaptions()`. Clients may create their own gradient definition by overriding `PredefinedColoredAreas` for gradient definitions and `IPredefinedRenderingStyle` for corresponding ID's. Simply follow straightforward the example `getBlueWhiteGlossAdaptions()`. It is recommended to support at least `IPredefinedRenderingStyle.STYLE_ADAPTATION_DEFAULT`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_PRIMARY_SELECTED`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_SECONDARY_SELECTED` as visual states.

See Also:
  `IGaService.setRenderingStyle(AbstractStyle, AdaptedGradientColoredAreas)`, `IPredefinedRenderingStyle`, `IGradientType`

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.util.IPredefinedRenderingStyle

`BLUE_WHITE_GLOSS_ID, BLUE_WHITE_ID, COPPER_WHITE_GLOSS_ID, LIGHT_GRAY_ID, LIGHT_YELLOW_ID, SILVER_WHITE_GLOSS_ID, STYLE_ADAPTATION_ACTION_ALLOWED, STYLE_ADAPTATION_ACTION_FORBIDDEN, STYLE_ADAPTATION_DEFAULT, STYLE_ADAPTATION_PRIMARY_SELECTED, STYLE_ADAPTATION_SECONDARY_SELECTED`

### Constructor Summary

Constructors
`PredefinedColoredAreas()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static void` `addGradientColoredArea​(org.eclipse.emf.common.util.EList<GradientColoredArea> gcas, java.lang.String colorStart, int locationValueStart, LocationType locationTypeStart, java.lang.String colorEnd, int locationValueEnd, LocationType locationTypeEnd)`
`protected static GradientColoredArea` `createGradientColoredArea​(java.lang.String colorStart, int locationValueStart, LocationType locationTypeStart, java.lang.String colorEnd, int locationValueEnd, LocationType locationTypeEnd)`
`static AdaptedGradientColoredAreas` `getAdaptedGradientColoredAreas​(java.lang.String id)` Get `AdaptedGradientColoredAreas` by id.
`static AdaptedGradientColoredAreas` `getBlueWhiteAdaptions()`
`static AdaptedGradientColoredAreas` `getBlueWhiteGlossAdaptions()`
`static AdaptedGradientColoredAreas` `getCopperWhiteGlossAdaptions()`
`static AdaptedGradientColoredAreas` `getLightGrayAdaptions()`
`static AdaptedGradientColoredAreas` `getLightYellowAdaptions()`
`static int` `getLocation​(GradientColoredLocation gradientColoredLocation, int length, double zoom)` Returns the location for the given length and zoom-factor.
`static AdaptedGradientColoredAreas` `getSilverWhiteGlossAdaptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PredefinedColoredAreas

    public PredefinedColoredAreas()

### Method Detail

#### getBlueWhiteGlossAdaptions

    public static AdaptedGradientColoredAreas getBlueWhiteGlossAdaptions()

Returns:
  `AdaptedGradientColoredAreas` color-areas for `IPredefinedRenderingStyle.BLUE_WHITE_GLOSS_ID` with the adaptations: `IPredefinedRenderingStyle.STYLE_ADAPTATION_DEFAULT`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_PRIMARY_SELECTED`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_SECONDARY_SELECTED`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_ACTION_ALLOWED`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_ACTION_FORBIDDEN`.

#### getBlueWhiteAdaptions

    public static AdaptedGradientColoredAreas getBlueWhiteAdaptions()

Returns:
  `AdaptedGradientColoredAreas` color-areas for `IPredefinedRenderingStyle.BLUE_WHITE_ID` with the adaptations: `IPredefinedRenderingStyle.STYLE_ADAPTATION_DEFAULT`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_PRIMARY_SELECTED`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_SECONDARY_SELECTED`.

#### getLightYellowAdaptions

    public static AdaptedGradientColoredAreas getLightYellowAdaptions()

Returns:
  `AdaptedGradientColoredAreas` color-areas for `IPredefinedRenderingStyle.LIGHT_YELLOW_ID` with the adaptations: `IPredefinedRenderingStyle.STYLE_ADAPTATION_DEFAULT`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_PRIMARY_SELECTED`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_SECONDARY_SELECTED`.

#### getLightGrayAdaptions

    public static AdaptedGradientColoredAreas getLightGrayAdaptions()

Returns:
  `AdaptedGradientColoredAreas` color-areas for `IPredefinedRenderingStyle.LIGHT_GRAY_ID` with the adaptations: `IPredefinedRenderingStyle.STYLE_ADAPTATION_DEFAULT`, `IPredefinedRenderingStyle.STYLE_ADAPTATION_PRIMARY_SELECTED`.

#### getCopperWhiteGlossAdaptions

    public static AdaptedGradientColoredAreas getCopperWhiteGlossAdaptions()

Returns:
  `AdaptedGradientColoredAreas` color-areas for `IPredefinedRenderingStyle.COPPER_WHITE_GLOSS_ID` with the adaptation `IPredefinedRenderingStyle.STYLE_ADAPTATION_DEFAULT`.

#### getSilverWhiteGlossAdaptions

    public static AdaptedGradientColoredAreas getSilverWhiteGlossAdaptions()

Returns:
  `AdaptedGradientColoredAreas` color-areas for `IPredefinedRenderingStyle.SILVER_WHITE_GLOSS_ID` with the adaptation `IPredefinedRenderingStyle.STYLE_ADAPTATION_DEFAULT`.

#### getAdaptedGradientColoredAreas

    public static AdaptedGradientColoredAreas getAdaptedGradientColoredAreas​(java.lang.String id)

Get `AdaptedGradientColoredAreas` by id. The id should be defined in `IPredefinedRenderingStyle` or in an extension. This is a helper method for tests etc. Please use methods like `getBlueWhiteGlossAdaptions()` to set the rendering style with `IGaService.setRenderingStyle(AbstractStyle, AdaptedGradientColoredAreas)` . Clients should override this method, if they have own gradient definitions and id's.

Parameters:
  `id` - The id which designates a corresponding `AdaptedGradientColoredAreas` object.
Returns:
  the corresponding `AdaptedGradientColoredAreas` object or null, if id is not defined.

#### addGradientColoredArea

    protected static void addGradientColoredArea​(org.eclipse.emf.common.util.EList<GradientColoredArea> gcas,
                                                 java.lang.String colorStart,
                                                 int locationValueStart,
                                                 LocationType locationTypeStart,
                                                 java.lang.String colorEnd,
                                                 int locationValueEnd,
                                                 LocationType locationTypeEnd)

#### createGradientColoredArea

    protected static GradientColoredArea createGradientColoredArea​(java.lang.String colorStart,
                                                                   int locationValueStart,
                                                                   LocationType locationTypeStart,
                                                                   java.lang.String colorEnd,
                                                                   int locationValueEnd,
                                                                   LocationType locationTypeEnd)

Since:
  0.10

#### getLocation

    public static int getLocation​(GradientColoredLocation gradientColoredLocation,
                                  int length,
                                  double zoom)

Returns the location for the given length and zoom-factor. The location is calculated from the location-value and location-type in relation to the given length and zoom-factor.

The idea is, that the location-type specifies how to interpret the location-value in relation to the length. For example if the location-type is "relative" and the location-value is "40", then this means, that the location is at 40% of the length. So for a length of 200 the location would be 80.

Parameters:
  `length` - The length, for which to calculate the location.
  `zoom` - The zoom-factor, which to use on the location-value.
Returns:
  The location for the given length and zoom-factor.